We change (8) to (1m), [8] to [1m] in docs/man/*.txt and
8 to 1m in docs/man/Makefile.am and configure.ac self-test.
Makefile variable 'man1m_MANS' should be changed to 'man_MANS'
or 'man1_MANS'. In any case I couldn't make automake install
manpages in man1m directory - this is addressed by moving
in the packaging Makefile.

Manual review of this patch for upgrades to new NUT versions
is necessary.

diff -Naur nut-2.8.1-orig/docs/man/Makefile.am nut-2.8.1/docs/man/Makefile.am
--- nut-2.8.1-orig/docs/man/Makefile.am	2023-10-24 10:45:21.000000000 +0200
+++ nut-2.8.1/docs/man/Makefile.am	2023-11-01 03:45:05.723861115 +0100
@@ -70,20 +70,20 @@
 
 if WITH_MANS
 MAN_CLIENT_PAGES = \
-	nutupsdrv.8 \
-	nut-driver-enumerator.8 \
-	upsc.8 \
-	upscmd.8 \
-	upsd.8 \
-	upsdrvctl.8 \
-	upsdrvsvcctl.8 \
-	upslog.8 \
-	upsmon.8 \
-	upsrw.8 \
-	upssched.8
+	nutupsdrv.1m \
+	nut-driver-enumerator.1m \
+	upsc.1m \
+	upscmd.1m \
+	upsd.1m \
+	upsdrvctl.1m \
+	upsdrvsvcctl.1m \
+	upslog.1m \
+	upsmon.1m \
+	upsrw.1m \
+	upssched.1m
 endif WITH_MANS
 
-man8_MANS = $(MAN_CLIENT_PAGES)
+man1m_MANS = $(MAN_CLIENT_PAGES)
 
 HTML_CLIENT_MANS = \
 	nutupsdrv.html \
@@ -101,10 +101,10 @@
 SRC_TOOL_PAGES = nut-scanner.txt nut-recorder.txt
 
 if WITH_MANS
-MAN_TOOL_PAGES = nut-scanner.8 nut-recorder.8
+MAN_TOOL_PAGES = nut-scanner.1m nut-recorder.1m
 endif WITH_MANS
 
-man8_MANS += $(MAN_TOOL_PAGES)
+man1m_MANS += $(MAN_TOOL_PAGES)
 
 HTML_TOOL_MANS = nut-scanner.html nut-recorder.html
 
@@ -123,15 +123,15 @@
 	upsset.conf.5 \
 	upsstats.html.5
 
-MAN8_CGI_PAGES = \
-	upsset.cgi.8 \
-	upsstats.cgi.8 \
-	upsimage.cgi.8
+MAN1M_CGI_PAGES = \
+	upsset.cgi.1m \
+	upsstats.cgi.1m \
+	upsimage.cgi.1m
 endif WITH_MANS
 
 if WITH_CGI
 man5_MANS += $(MAN5_CGI_PAGES)
-man8_MANS += $(MAN8_CGI_PAGES)
+man1m_MANS += $(MAN1M_CGI_PAGES)
 endif WITH_CGI
 
 HTML_CGI_MANS = \
@@ -316,13 +316,13 @@
 MAN1_DEV_PAGES = \
 	libupsclient-config.1
 
-MAN8_DEV_PAGES = \
-	sockdebug.8
+MAN1M_DEV_PAGES = \
+	sockdebug.1m
 endif WITH_MANS
 
 if WITH_DEV
 man3_MANS = $(MAN3_DEV_PAGES)
-man8_MANS += $(MAN8_DEV_PAGES)
+man1m_MANS += $(MAN1M_DEV_PAGES)
 
 if !WITH_PKG_CONFIG
 man1_MANS = $(MAN1_DEV_PAGES)
@@ -385,7 +385,7 @@
 # If (--with-drivers=...) then we only build specific documents, however
 # still do track (and EXTRA_DIST, and spellcheck) all available sources.
 if SOME_DRIVERS
-man8_MANS += $(DRIVER_MAN_LIST)
+man1m_MANS += $(DRIVER_MAN_LIST)
 endif
 
 # (--with-serial)
@@ -437,52 +437,52 @@
 if ! SOME_DRIVERS
 if WITH_MANS
 MAN_SERIAL_PAGES = \
-	al175.8	\
-	apcsmart.8	\
-	apcsmart-old.8	\
-	bcmxcp.8 	\
-	belkin.8 	\
-	belkinunv.8	\
-	bestfortress.8	\
-	bestuferrups.8	\
-	bestups.8 	\
-	bestfcom.8	\
-	blazer_ser.8	\
-	clone.8 \
-	dummy-ups.8	\
-	etapro.8	\
-	everups.8	\
-	gamatronic.8	\
-	genericups.8	\
-	isbmex.8	\
-	ivtscd.8	\
-	liebert.8	\
-	liebert-esp2.8	\
-	masterguard.8	\
-	metasys.8	\
-	mge-shut.8	\
-	mge-utalk.8	\
-	oneac.8		\
-	microdowell.8	\
-	microsol-apc.8	\
-	nutdrv_siemens_sitop.8	\
-	optiups.8	\
-	powercom.8 	\
-	powerpanel.8	\
-	rhino.8		\
-	riello_ser.8	\
-	sms_ser.8 \
-	safenet.8	\
-	solis.8		\
-	tripplite.8	\
-	tripplitesu.8	\
-	upscode2.8	\
-	victronups.8	\
-	apcupsd-ups.8
+	al175.1m	\
+	apcsmart.1m	\
+	apcsmart-old.1m	\
+	bcmxcp.1m 	\
+	belkin.1m 	\
+	belkinunv.1m	\
+	bestfortress.1m	\
+	bestuferrups.1m	\
+	bestups.1m 	\
+	bestfcom.1m	\
+	blazer_ser.1m	\
+	clone.1m \
+	dummy-ups.1m	\
+	etapro.1m	\
+	everups.1m	\
+	gamatronic.1m	\
+	genericups.1m	\
+	isbmex.1m	\
+	ivtscd.1m	\
+	liebert.1m	\
+	liebert-esp2.1m	\
+	masterguard.1m	\
+	metasys.1m	\
+	mge-shut.1m	\
+	mge-utalk.1m	\
+	oneac.1m		\
+	microdowell.1m	\
+	microsol-apc.1m	\
+	nutdrv_siemens_sitop.1m	\
+	optiups.1m	\
+	powercom.1m 	\
+	powerpanel.1m	\
+	rhino.1m		\
+	riello_ser.1m	\
+	sms_ser.1m \
+	safenet.1m	\
+	solis.1m		\
+	tripplite.1m	\
+	tripplitesu.1m	\
+	upscode2.1m	\
+	victronups.1m	\
+	apcupsd-ups.1m
 endif WITH_MANS
 
 if WITH_SERIAL
-man8_MANS +=  $(MAN_SERIAL_PAGES)
+man1m_MANS +=  $(MAN_SERIAL_PAGES)
 endif WITH_SERIAL
 
 HTML_SERIAL_MANS = \
@@ -534,11 +534,11 @@
 SRC_SNMP_PAGES = snmp-ups.txt
 if ! SOME_DRIVERS
 if WITH_MANS
-MAN_SNMP_PAGES = snmp-ups.8
+MAN_SNMP_PAGES = snmp-ups.1m
 endif WITH_MANS
 
 if WITH_SNMP
-man8_MANS += $(MAN_SNMP_PAGES)
+man1m_MANS += $(MAN_SNMP_PAGES)
 endif WITH_SNMP
 
 HTML_SNMP_MANS = snmp-ups.html
@@ -560,17 +560,17 @@
 # NOTE: nut_usb_addvars and blazer-common are not standalone man pages
 if WITH_MANS
 MAN_USB_LIBUSB_PAGES = \
-	bcmxcp_usb.8 \
-	blazer_usb.8 \
-	nutdrv_atcl_usb.8 \
-	richcomm_usb.8 \
-	riello_usb.8	\
-	tripplite_usb.8 \
-	usbhid-ups.8
+	bcmxcp_usb.1m \
+	blazer_usb.1m \
+	nutdrv_atcl_usb.1m \
+	richcomm_usb.1m \
+	riello_usb.1m	\
+	tripplite_usb.1m \
+	usbhid-ups.1m
 endif WITH_MANS
 
 if WITH_USB
-man8_MANS += $(MAN_USB_LIBUSB_PAGES)
+man1m_MANS += $(MAN_USB_LIBUSB_PAGES)
 endif WITH_USB
 
 HTML_USB_LIBUSB_MANS = \
@@ -590,14 +590,14 @@
 if ! SOME_DRIVERS
 if WITH_MANS
 MAN_SERIAL_USB_PAGES = \
-	nutdrv_qx.8
+	nutdrv_qx.1m
 endif WITH_MANS
 
 if WITH_SERIAL
-man8_MANS += $(MAN_SERIAL_USB_PAGES)
+man1m_MANS += $(MAN_SERIAL_USB_PAGES)
 else !WITH_SERIAL
 if WITH_USB
-man8_MANS += $(MAN_SERIAL_USB_PAGES)
+man1m_MANS += $(MAN_SERIAL_USB_PAGES)
 endif WITH_USB
 endif !WITH_SERIAL
 
@@ -609,11 +609,11 @@
 SRC_NETXML_PAGES = netxml-ups.txt
 if ! SOME_DRIVERS
 if WITH_MANS
-MAN_NETXML_PAGES = netxml-ups.8
+MAN_NETXML_PAGES = netxml-ups.1m
 endif WITH_MANS
 
 if WITH_NEON
-man8_MANS += $(MAN_NETXML_PAGES)
+man1m_MANS += $(MAN_NETXML_PAGES)
 endif WITH_NEON
 
 HTML_NETXML_MANS = netxml-ups.html
@@ -623,11 +623,11 @@
 SRC_POWERMAN_PAGES = powerman-pdu.txt
 if ! SOME_DRIVERS
 if WITH_MANS
-MAN_POWERMAN_PAGES = powerman-pdu.8
+MAN_POWERMAN_PAGES = powerman-pdu.1m
 endif WITH_MANS
 
 if WITH_LIBPOWERMAN
-man8_MANS += $(MAN_POWERMAN_PAGES)
+man1m_MANS += $(MAN_POWERMAN_PAGES)
 endif WITH_LIBPOWERMAN
 
 HTML_POWERMAN_MANS = powerman-pdu.html
@@ -637,11 +637,11 @@
 SRC_IPMIPSU_PAGES = nut-ipmipsu.txt
 if ! SOME_DRIVERS
 if WITH_MANS
-MAN_IPMIPSU_PAGES = nut-ipmipsu.8
+MAN_IPMIPSU_PAGES = nut-ipmipsu.1m
 endif WITH_MANS
 
 if WITH_IPMI
-man8_MANS += $(MAN_IPMIPSU_PAGES)
+man1m_MANS += $(MAN_IPMIPSU_PAGES)
 endif WITH_IPMI
 
 HTML_IPMIPSU_MANS = nut-ipmipsu.html
@@ -651,11 +651,11 @@
 SRC_MACOSX_PAGES = macosx-ups.txt
 if ! SOME_DRIVERS
 if WITH_MANS
-MAN_MACOSX_PAGES = macosx-ups.8
+MAN_MACOSX_PAGES = macosx-ups.1m
 endif WITH_MANS
 
 if WITH_MACOSX
-man8_MANS += $(MAN_MACOSX_PAGES)
+man1m_MANS += $(MAN_MACOSX_PAGES)
 endif WITH_MACOSX
 
 HTML_MACOSX_MANS = macosx-ups.html
@@ -671,16 +671,16 @@
 
 if ! SOME_DRIVERS
 if WITH_MANS
-MAN_MODBUS_PAGES = phoenixcontact_modbus.8 \
-	generic_modbus.8 \
-	huawei-ups2000.8 \
-	socomec_jbus.8   \
-	adelsystem_cbi.8 \
-	apc_modbus.8
+MAN_MODBUS_PAGES = phoenixcontact_modbus.1m \
+	generic_modbus.1m \
+	huawei-ups2000.1m \
+	socomec_jbus.1m   \
+	adelsystem_cbi.1m \
+	apc_modbus.1m
 endif WITH_MANS
 
 if WITH_MODBUS
-man8_MANS += $(MAN_MODBUS_PAGES)
+man1m_MANS += $(MAN_MODBUS_PAGES)
 endif WITH_MODBUS
 
 HTML_MODBUS_MANS = phoenixcontact_modbus.html \
@@ -695,11 +695,11 @@
 SRC_LINUX_I2C_PAGES = asem.txt pijuice.txt
 if ! SOME_DRIVERS
 if WITH_MANS
-MAN_LINUX_I2C_PAGES = asem.8 pijuice.8
+MAN_LINUX_I2C_PAGES = asem.1m pijuice.1m
 endif WITH_MANS
 
 if WITH_LINUX_I2C
-man8_MANS += $(MAN_LINUX_I2C_PAGES)
+man1m_MANS += $(MAN_LINUX_I2C_PAGES)
 endif WITH_LINUX_I2C
 
 HTML_LINUX_I2C_MANS = asem.html pijuice.html
@@ -709,11 +709,11 @@
 SRC_GPIO_PAGES = generic_gpio.txt
 if ! SOME_DRIVERS
 if WITH_MANS
-MAN_GPIO_PAGES = generic_gpio.8
+MAN_GPIO_PAGES = generic_gpio.1m
 endif WITH_MANS
 
 if WITH_GPIO
-man8_MANS += $(MAN_GPIO_PAGES)
+man1m_MANS += $(MAN_GPIO_PAGES)
 endif WITH_GPIO
 
 HTML_GPIO_MANS = generic_gpio.html
@@ -726,10 +726,10 @@
 	$(MAN_CLIENT_PAGES) \
 	$(MAN_TOOL_PAGES) \
 	$(MAN5_CGI_PAGES) \
-	$(MAN8_CGI_PAGES) \
+	$(MAN1M_CGI_PAGES) \
 	$(MAN1_DEV_PAGES) \
 	$(MAN3_DEV_PAGES) \
-	$(MAN8_DEV_PAGES) \
+	$(MAN1M_DEV_PAGES) \
 	$(MAN_SERIAL_PAGES) \
 	$(MAN_SNMP_PAGES) \
 	$(MAN_USB_LIBUSB_PAGES) \
@@ -930,7 +930,8 @@
 
 CLEANFILES = *-spellchecked
 
-SUFFIXES = .txt .html .1 .3 .5 .8
+SUFFIXES = .txt .html .1 .3 .5 .1m
+man_MANS = $(man1m_MANS)
 
 # For builds with allowed installation of prebuild man pages, check that
 # they exist in sources (make would pull them automatically as a fallback
@@ -944,7 +944,7 @@
 
 if HAVE_ASCIIDOC
 
-CLEANFILES += *.1 *.3 *.5 *.8 *.xml *.html *.pdf
+CLEANFILES += *.1 *.3 *.5 *.1m *.xml *.html *.pdf
 
 # Working around a2x not friendly to parallelized runs.
 # See more details in the main NUT docs/Makefile.am
@@ -1009,7 +1009,7 @@
 		-o "$${A2X_OUTDIR}/$(@F)" $< || RES=$$? ; \
 	 $(DOCBUILD_END) ; exit $$RES
 
-### Prior to Asciidoc ~8.6.8, the --destination-dir flag didn't seem to affect the location of the intermediate .xml file.
+### Prior to Asciidoc ~8.6.1m, the --destination-dir flag didn't seem to affect the location of the intermediate .xml file.
 ### This parameter is currently required; see docs/Makefile.am for more detail.
 A2X_MANPAGE_OPTS = --doctype manpage --format manpage $${A2X_VERBOSE} \
 	--xsltproc-opts="--nonet" \
@@ -1043,8 +1043,8 @@
 	 $(A2X) $(A2X_MANPAGE_OPTS) $< || RES=$$? ; \
 	 $(DOCBUILD_END) ; exit $$RES
 
-.txt.8:
-	@A2X_OUTDIR="tmp/man8.$(@F).$$$$" ; \
+.txt.1m:
+	@A2X_OUTDIR="tmp/man1m.$(@F).$$$$" ; \
 	 echo "  DOC-MAN  Generating $@"; \
 	 $(DOCBUILD_BEGIN) ; RES=0; \
 	 $(A2X) $(A2X_MANPAGE_OPTS) $< || RES=$$? ; \
@@ -1088,7 +1088,7 @@
 		exit 1; \
 	fi
 
-.txt.8:
+.txt.1m:
 	@if [ -r "$@" ] $(SRC_PREBUILT_CLAUSE); then \
 		echo "Not (re)building $@ manual page, since 'asciidoc', 'xmllint' or 'xsltproc' were not found." ; \
 	else \
diff -Naur nut-2.8.1-orig/configure.ac nut-2.8.1/configure.ac
--- nut-2.8.1-orig/configure.ac	2023-10-31 23:30:21.000000000 +0100
+++ nut-2.8.1/configure.ac	2023-11-01 03:53:07.457934752 +0100
@@ -2622,8 +2622,8 @@
 		AC_MSG_CHECKING([if we can build ${nut_doc_build_target_base}])
 		can_build_doc_man=no
 		if test "${nut_have_asciidoc}" = yes ; then
-			( cd "$DOCTESTDIR" && ${A2X} --format manpage --destination-dir=. --xsltproc-opts="--nonet" "${abs_srcdir}"/docs/man/snmp-ups.txt && test -s snmp-ups.8 ) && can_build_doc_man=yes
-			rm -f "${DOCTESTDIR}"/snmp-ups.8
+			( cd "$DOCTESTDIR" && ${A2X} --format manpage --destination-dir=. --xsltproc-opts="--nonet" "${abs_srcdir}"/docs/man/snmp-ups.txt && test -s snmp-ups.1m ) && can_build_doc_man=yes
+			rm -f "${DOCTESTDIR}"/snmp-ups.1m
 		fi
 		if test "${can_build_doc_man}" = yes ; then
 			AC_MSG_RESULT(yes)
@@ -2637,7 +2637,7 @@
 				DOC_SKIPBUILD_LIST="${DOC_SKIPBUILD_LIST} ${nut_doc_build_target_base}"
 				if test "${nut_doc_build_target_flag}" = "auto" ; then
 dnl Test that groff files exist (building from distributed tarball, not git repo)
-					if test -s "${abs_srcdir}"/docs/man/snmp-ups.8 ; then
+					if test -s "${abs_srcdir}"/docs/man/snmp-ups.1m ; then
 						AC_MSG_WARN([Unable to build ${nut_doc_build_target_base} documentation, but can install pre-built distributed copies])
 						DOC_INSTALL_DISTED_MANS="yes"
 					else
@@ -2994,8 +2994,8 @@
 		DRIVER_MAN_LIST=""
 		for i in ${DRIVER_BUILD_LIST}; do
 		    dnl See if source or pre-generated (tarball) doc file exists:
-			if test -f ${srcdir}/docs/man/$i.txt -o -f ${srcdir}/docs/man/$i.8; then
-				DRIVER_MAN_LIST="${DRIVER_MAN_LIST} $i.8"
+			if test -f ${srcdir}/docs/man/$i.txt -o -f ${srcdir}/docs/man/$i.1m; then
+				DRIVER_MAN_LIST="${DRIVER_MAN_LIST} $i.1m"
 				DRIVER_MAN_LIST_PAGES="${DRIVER_MAN_LIST_PAGES} $i.txt"
 			fi
 		done
